package Übungen.MyBankSystem;

public class Controller {
	private User user;
	private Konto konto;
	private ViewUser viewuser;
	
	Controller(){
	}
	
	public void login_user() {
		this.viewuser = new ViewUser();
		viewuser.user_Login();
		String name = viewuser.getName();
		String pass = viewuser.getPass();
		user = new User (name,pass);
		konto = new Konto(user);
		user.addKonto(konto);
		viewuser.show_User_Daten(user.getName(), user.getPassword(),konto.getKontostand() ,konto.getKontoNummer());
	}
	
	public void setName(String name) {
		user.setName(name);
	}
	
	public String getName() {
		return user.getName();
	}
	
	public void setPass(String pass) {
		user.setPassword(pass);
	}
	
	public String getPass() {
		return user.getPassword();
	}
	
	public void updateUser() {
		
	}
}
